package com.knecon.fforesight.service.layoutparser.processor.model.graph;

import com.knecon.fforesight.service.layoutparser.processor.model.graph.nodes.Document;
import com.knecon.fforesight.service.layoutparser.processor.model.graph.nodes.Footer;
import com.knecon.fforesight.service.layoutparser.processor.model.graph.nodes.Header;
import com.knecon.fforesight.service.layoutparser.processor.model.graph.nodes.Headline;
import com.knecon.fforesight.service.layoutparser.processor.model.graph.nodes.Image;
import com.knecon.fforesight.service.layoutparser.processor.model.graph.nodes.Paragraph;
import com.knecon.fforesight.service.layoutparser.processor.model.graph.nodes.Section;
import com.knecon.fforesight.service.layoutparser.processor.model.graph.nodes.SuperSection;
import com.knecon.fforesight.service.layoutparser.processor.model.graph.nodes.Table;
import com.knecon.fforesight.service.layoutparser.processor.model.graph.nodes.TableCell;

public interface NodeVisitor {

    void visit(Document document);


    void visit(SuperSection superSection);


    void visit(Section section);


    void visit(Headline headline);


    void visit(Paragraph paragraph);


    void visit(Footer footer);


    void visit(Header header);


    void visit(Image image);


    void visit(Table table);


    void visit(TableCell tableCell);

}
